package com.ruoyi.trade.service;

import java.io.OutputStream;
import java.util.List;
import java.util.Map;

import com.ruoyi.trade.domain.CTrademark;
import com.ruoyi.trade.vo.TrademarkDTO;
import com.ruoyi.trade.vo.TrademarkVO;

public interface ICTrademarkExcel {

	
	
	void exportReportApply(OutputStream out,CTrademark req,TrademarkDTO dto);


	void exportReportNcGrowth(OutputStream out,CTrademark req,Map<String,Object>map);
	void exportReportGrowth(OutputStream out,CTrademark req,List<TrademarkDTO>list);
	
	void exportReportReg(OutputStream out,CTrademark req,TrademarkDTO dto);

	void exportReportAct(OutputStream out,CTrademark req,TrademarkDTO dto);
	
	void exportReportHouse(OutputStream out,CTrademark req,List<TrademarkVO>list) ;
	

	void exportReportNc(OutputStream out,CTrademark req,List<TrademarkVO>list) ;

	void exportReportRank(OutputStream out,CTrademark req,List<TrademarkVO>list) ;
	
	
	
}
